/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.calebfontenot.lab9_calebfontenot;

import java.util.Scanner;

/**
 *
 * @author ASDV2
 */
public class MinimumOf3 {

    public static void main(String[] args)
    {
        Scanner scan = new Scanner(System.in);

        System.out.println("Please enter 4 numbers to find the minimum of the 4: ");
        int x = scan.nextInt();
        int y = scan.nextInt();
        int z = scan.nextInt();

        /*  
        if ( x < y )
            if ( x < z )
                System.out.println("minimum= " + x);
            else
                System.out.println("minimum= " + z);
        else if ( y < z )
                    System.out.println("minimum= " + y);
        else
            System.out.println("minimum= " + z);
            
         */
        System.out.println(
                (x < y)
                        ? (x < z) ? "minimum= " + x
                                  : "minimum= " + z
                        : (y < z) ? "minimum= " + y : "minimum= " + z
        );

    }

}
